# SPDX-FileCopyrightText: 2023 Bundesministerium des Innern und für Heimat, PG ZenDiS "Projektgruppe für Aufbau ZenDiS"
# SPDX-License-Identifier: Apache-2.0
---
repositories:
  - name: "ceph-repo"
    url: >-
      {{ env "PRIVATE_CHART_REPOSITORY_URL" |
         default "https://ceph.github.io/csi-charts" }}

releases:
  - name: "ceph-csi-rbd"
    chart: "ceph-repo/ceph-csi-rbd"
    version: "3.9.0"
    namespace: "ceph-csi"
    createNamespace: true
    values:
      - "values-ceph-rbd.yaml"
      - "values-ceph-rbd.gotmpl"
    condition: "ceph.enabled"
  - name: "ceph-csi-cephfs"
    chart: "ceph-repo/ceph-csi-cephfs"
    version: "3.9.0"
    namespace: "cephfs-csi"
    createNamespace: true
    values:
      - "values-ceph-cephfs.yaml"
      - "values-ceph-cephfs.gotmpl"
    condition: "ceph.enabled"

commonLabels:
  deploy-stage: "component-1"
  component: "ceph"

bases:
  - "../../bases/environments.yaml"
...
